Issue #9259 has been updated by vo.x (Vit Ondruch).


This is still issue for ruby 2.1.0p0 (2013-12-25 revision 44422) [x86_64-linux]
----------------------------------------
Bug #9259: "Could not find 'minitest': test suite errors
https://bugs.ruby-lang.org/issues/9259#change-44062

Author: vo.x (Vit Ondruch)
Status: Open
Priority: Normal
Assignee: drbrain (Eric Hodel)
Category: 
Target version: 
ruby -v: ruby 2.1.0dev (2013-12-17 trunk 44266) [x86_64-linux]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


=begin
Running test suite (({$ make test-all TESTS=-v})) produces several errors:

 /builddir/build/BUILD/ruby-2.1.0-r44266/test/rubygems/test_gem_rdoc.rb: Could not find 'minitest' (~> 4.0) among 0 total gem(s)
 /builddir/build/BUILD/ruby-2.1.0-r44266/test/rubygems/test_gem_commands_uninstall_command.rb: Could not find 'minitest' (~> 4.0) among 0 total gem(s)
 
 ... snip ...
 
 /builddir/build/BUILD/ruby-2.1.0-r44266/test/rubygems/test_gem_resolver_lock_set.rb: Could not find 'minitest' (~> 4.0) among 0 total gem(s)
 /builddir/build/BUILD/ruby-2.1.0-r44266/test/rdoc/test_rdoc_rubygems_hook.rb: Could not find 'minitest' (~> 4.0) among 0 total gem(s)

I suspect, that this might happen since r42156 [1] because if I remove the begin..end block [2], the error disappears.

I suppose, that the error does not appear on rubyci.org, since there is already some version of Ruby installed, to be able to build Ruby from SVN checkout, therefore Ruby finds minitest in standard system locations, although I can't confirm this surmise.


[1] https://github.com/ruby/ruby/commit/d6e3ee55ba441ee76d57cb69e8d2b16d20591a02
[2] https://github.com/ruby/ruby/commit/d6e3ee55ba441ee76d57cb69e8d2b16d20591a02#diff-0c4b3e9996ebec38f191e68264665984R3
=end



-- 
http://bugs.ruby-lang.org/